#include <bits/stdc++.h>

#define ll long long
#define ar array

#define ff first 
#define ss second 
#define mp make_pair

#define pb push_back

#define rep(i,n) for(auto i=0; i<(n); i++) 

#define all(x) (x).begin(), (x).end() 

using namespace std;

typedef  map<string,int>         msi; 
typedef  map<int,int>	         mii; 
typedef  map<ll, ll>             mll; 
typedef  map<char,int>           mci; 
typedef  map<int,string>	     mis; 
typedef  pair<int,int> 	         pii;
typedef  pair<ll, ll> 	         pll;  
typedef  pair<string, int>       psi; 
typedef  pair<string, string>    pss; 
typedef  vector<int> 	         vi;  
typedef  vector<string> 	     vs; 
typedef  vector<char>	         vc; 
typedef  vector<bool>            vb; 
typedef  vector< pii >           vii;
typedef  vector< ll >            vll;
typedef  vector<pii>             vpii;
typedef  vector<pll>             vpll;
typedef  vector<vi>              vvi;
typedef  vector<vll>             vvll;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n;
    cin >> n;
    vector<pair<double,ll>> v(n);
    rep(i,n){
        cin >> v[i].ss >> v[i].ff; 
    }
    sort(all(v));
    ll s=0;
    double ans = -1e15;
    for(int i = n-1; i >= 0; --i){
        s+= v[i].ss;
        ans = max(ans,s*v[i].ff);
    }
    std::cout << std::fixed;
    //std::cout << std::setprecision(5);
    cout << ans/100 << '\n';

    return 0;
}